Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.results
Class QueryProcessInstancesResult2

    java.lang.Object
      com.tibco.bpm.web.client.services.results.QueryProcessInstancesResult2

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, net.customware.gwt.dispatch.shared.Result

    public class QueryProcessInstancesResult2

extends java.lang.Object
implements net.customware.gwt.dispatch.shared.Result

List process instances that match certain criteria specified in a Query. This V2 interface returns Custom attributes and Dates are returned in Date rather than String format.

©2013 TIBCO Software Inc.

Since:
  2.2.0

Constructor Summary
`QueryProcessInstancesResult2(java.util.ArrayList<ProcessInstanceData2> processInstanceDatas, int pagingId)` Constructor for QueryProcessInstancesResult2.

Method Summary
`int` | `getPagingId()` Gets paging id.
`java.util.ArrayList<ProcessInstanceData2>` | `getProcessInstanceDatas()` Gets an arraylist of ProcessInstanceData instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryProcessInstancesResult2

    public QueryProcessInstancesResult2(java.util.ArrayList<ProcessInstanceData2> processInstanceDatas,
                                        int pagingId)

  Constructor for QueryProcessInstancesResult2.

  Parameters:
    `processInstanceDatas` -
    `pagingId` -

Method Detail

### getProcessInstanceDatas

    public java.util.ArrayList<ProcessInstanceData2> getProcessInstanceDatas()

  Gets an arraylist of ProcessInstanceData instances.

  Returns:

### getPagingId

    public int getPagingId()

  Gets paging id.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.